Package tigase.net

## Class SocketThread

- java.lang.Object
- - tigase.net.SocketThread

- All Implemented Interfaces:
    `java.lang.Runnable`

      public class SocketThread
      extends java.lang.Object
      implements java.lang.Runnable

  Describe class SocketThread here.
  Created: Mon Jan 30 12:01:17 2006
  Author:
    Artur Hefczyc

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `protected class` | `SocketThread.ResultsListener` |

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static int` | `DEF_MAX_THREADS_PER_CPU` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static void` | `addSocketService​(IOService<?> s)` |
    `void` | `addSocketServicePriv​(IOService<?> s)` |
    `static void` | `removeSocketService​(IOService<java.lang.Object> s)` |
    `void` | `removeSocketServicePriv​(IOService<?> s)` |
    `void` | `run()` |
    `void` | `setMaxThread​(int threads)` |
    `void` | `setMaxThreadPerCPU​(int threads)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### DEF_MAX_THREADS_PER_CPU

          public static final int DEF_MAX_THREADS_PER_CPU

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### addSocketService

          public static void addSocketService​(IOService<?> s)

    - #### removeSocketService

          public static void removeSocketService​(IOService<java.lang.Object> s)

    - #### addSocketServicePriv

          public void addSocketServicePriv​(IOService<?> s)

    - #### removeSocketServicePriv

          public void removeSocketServicePriv​(IOService<?> s)

    - #### run

          public void run()

      Specified by:
        `run` in interface `java.lang.Runnable`

    - #### setMaxThread

          public void setMaxThread​(int threads)

    - #### setMaxThreadPerCPU

          public void setMaxThreadPerCPU​(int threads)